// by Private Grob 

main()
{
	thread precacheFX();
	thread siren();
}

//------------------------------------------------------------------------------

precacheFX()
{
	level._effect["c47flyover2d"] = loadfx ("fx/atmosphere/c47flyover2d.efx");
	level._effect["mortar_explosion"][0] = loadfx ("fx/impacts/newimps/minefield.efx"); 
	level._effect["mortar_explosion"][1] = loadfx ("fx/impacts/newimps/minefield.efx"); 
}


//------------------------------------------------------------------------------

siren()
{
	bomb1 = getent ("bomb1","targetname");
	bomb2 = getent ("bomb2","targetname");
	bomb3 = getent ("bomb3","targetname");
	bomb4 = getent ("bomb4","targetname");
	bomb5 = getent ("bomb5","targetname");
	bomb6 = getent ("bomb6","targetname");

	bomb1 hide();
	bomb2 hide();
	bomb3 hide();
	bomb4 hide();
	bomb5 hide();
	bomb6 hide();

	soundent = getent ("luftalarm","targetname");
	wait (480);
	sound = randomint(2);
	if (sound == 0)
	soundent playsound ("luftalarm");
	if (sound == 1)
	soundent playsound ("luftalarm");
	wait (40);
	thread squadron(); 	
}

//------------------------------------------------------------------------------

squadron()
{
	soundent = getent ("planes","targetname");
	sound = randomint(2);
	if (sound == 0)
	soundent playsound ("c47");
	if (sound == 1)
	soundent playsound ("c47");
	thread c47flying(); 	
}

//------------------------------------------------------------------------------

c47flying()
{
	c47 = getent ("c47","targetname");
	origin = c47 getorigin();
	playfx (level._effect["c47flyover2d"], origin);

	c47_2 = getent ("c47_2","targetname");
	origin2 = c47_2 getorigin();
	playfx (level._effect["c47flyover2d"], origin2);
	thread mortars();
	thread mortars2();
}

//------------------------------------------------------------------------------

mortars() // by Fangio and Sgt. Skywalker, simplyfied (with Player Damage) by Private Grob
{ 	
	mortar = getentarray ("mortar","targetname");
	wait (20);

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	rand = randomint(mortar.size); 
	mortar[rand] playsound("mortar_incoming"); 
	wait 2; 
	origin = mortar[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 0.5; 

	thread siren();
} 

//------------------------------------------------------------------------------

mortars2() // by Fangio and Sgt. Skywalker, modified (with Player Damage and falling bombs) by Private Grob
{ 	

	wait (30);

	mortar2_1 = getentarray ("mortar2_1","targetname");
	bomb1 = getent ("bomb1","targetname");

	rand = randomint(mortar2_1.size); 
	mortar2_1[rand] playsound("mortar_incoming"); 

	bomb1 show();
	bomb1 moveto ((896, 3608, 16),2);   
   	bomb1 waittill ("movedone");
	bomb1 hide();  
	bomb1 moveto ((896, 3656, 1976),2); 
	
	origin = mortar2_1[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_1[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 1.5; 

//------------------------------------------------------------------------------

	mortar2_2 = getentarray ("mortar2_2","targetname");
	bomb2 = getent ("bomb2","targetname");



	rand = randomint(mortar2_2.size); 
	mortar2_2[rand] playsound("mortar_incoming"); 

	bomb2 show();
	bomb2 moveto ((824, 5008, -32),2);   
   	bomb2 waittill ("movedone");
	bomb2 hide();  
	bomb2 moveto ((824, 5056, 1928),2); 
 
	origin = mortar2_2[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_2[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 1.5; 

//------------------------------------------------------------------------------

	mortar2_3 = getentarray ("mortar2_3","targetname");
	bomb3 = getent ("bomb3","targetname");



	rand = randomint(mortar2_3.size); 
	mortar2_3[rand] playsound("mortar_incoming"); 

	bomb3 show();
	bomb3 moveto ((-280, 5064, -40),2);   
   	bomb3 waittill ("movedone");
	bomb3 hide();  
	bomb3 moveto ((-280, 5112, 1920),2); 

	origin = mortar2_3[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_3[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 1.5; 

//------------------------------------------------------------------------------

	mortar2_4 = getentarray ("mortar2_4","targetname");
	bomb4 = getent ("bomb4","targetname");



	rand = randomint(mortar2_3.size); 
	mortar2_4[rand] playsound("mortar_incoming"); 

	bomb4 show();
	bomb4 moveto ((1208, 6216, -64),2);   
   	bomb4 waittill ("movedone");
	bomb4 hide();  
	bomb4 moveto ((1208, 6264, 1896),2); 

	origin = mortar2_4[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_4[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 1.5; 

//------------------------------------------------------------------------------

	mortar2_5 = getentarray ("mortar2_5","targetname");
	bomb5 = getent ("bomb5","targetname");



	rand = randomint(mortar2_3.size); 
	mortar2_5[rand] playsound("mortar_incoming"); 

	bomb5 show();
	bomb5 moveto ((1376, 7336, -96),2);   
   	bomb5 waittill ("movedone");
	bomb5 hide();  
	bomb5 moveto ((1376, 7384, 1864),2); 

	origin = mortar2_5[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_5[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);
	wait 1.5; 

//------------------------------------------------------------------------------

	mortar2_6 = getentarray ("mortar2_6","targetname");
	bomb6 = getent ("bomb6","targetname");




	rand = randomint(mortar2_3.size); 
	mortar2_6[rand] playsound("mortar_incoming"); 

	bomb6 show();
	bomb6 moveto ((1520, 9432, -24),2);   
   	bomb6 waittill ("movedone");
	bomb6 hide();  
	bomb6 moveto ((1520, 9480, 1936),2); 

	origin = mortar2_6[rand] getorigin(); 
	playfx (level._effect["mortar_explosion"][randomint(2)], origin); 
	mortar2_6[rand] playsound("mortar_explosion");
	radiusDamage(origin + (0,0,12), 500, 50, 100);

} 



