// Original Elevator Script by LordBlank 
// Modified Elevator Script by Sgt. Skywalker 
// Modified to starting V2 Rocket with Sound and Explosion by Private Grob

main() 
{ 
	level.elevator3Down = true; // elevator starts at bottom: true/false 
	level.elevator3Moving = false; // elevator is not currently moving 
	thread elevator3_start();
} 

elevator3_start() 
{ 
	elevator3 = getentarray ("v2switch","targetname"); 
	if ( isdefined(elevator3) ) 
	for (i = 0; i < elevator3.size; i++) 
	elevator3[i] thread elevator3_think(); 
} 

elevator3_think() 
{ 
	while (1) 
		{ 
		self waittill ("trigger"); 
		if (!level.elevator3Moving) 
		thread elevator3_move(); 
		} 
} 

elevator3_move() 
{ 
	v2rocket = getent ("v2rocket", "targetname"); 
	level.elevator3Moving = true; 
	speed = 1; 
	height = 1624; 

	if (level.elevator3Down) 
		{ 

		v2explosion = getent ("v2explosion","targetname");
		origin = v2explosion getorigin();

		v2explosion2 = getent ("v2explosion2","targetname");
		origin1 = v2explosion2 getorigin();

		blinklicht = getent("blinklicht", "targetname");
		origin3 = blinklicht getorigin();

		v2rocket playsound ("Klaxxon"); 

		playfx(level._effect["blinklicht"], origin3);

		wait (2); 
		v2rocket playsound ("Explo_V2_Rocket01"); 	
		playfx(level._effect["explosionstart"], origin);
		playfx(level._effect["aircraft_down"], origin1);

		v2rocket moveZ (height, speed); 
		v2rocket waittill ("movedone");
		v2rocket hide();

		wait (20);

		v2rocket moveZ (height - (height * 2), speed); 
		v2rocket waittill ("movedone");
		v2rocket show(); 

		level.elevator3Down = true; 
		} 
	else 
		{ 

		v2rocket moveZ (height - (height * 2), speed); 
		v2rocket waittill ("movedone");
		v2rocket show(); 
		level.elevator3Down = true; 
		} 
	level.elevator3Moving = false; 
} 

